- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BcpsModel Class Reference

`#include <BcpsModel.h>`

Inheritance diagram for BcpsModel:

[legend]
Collaboration diagram for BcpsModel:

[legend]
List of all members.

## Public Member Functions
| BcpsModel ()
virtual | ~BcpsModel ()
CoinMessageHandler * | bcpsMessageHandler () const
| Get the message handler.
CoinMessages | bcpsMessages ()
| Return messages.
AlpsReturnStatus | encodeBcps (AlpsEncoded *encoded) const
| Pack Bcps portion of model into an encoded object.
AlpsReturnStatus | decodeBcps (AlpsEncoded &encoded)
| Unpack Bcps portion of model from an encoded object.
std::vector< BcpsConstraint * > & | getConstraints ()
| Get variables and constraints.
std::vector< BcpsVariable * > & | getVariables ()
| Get variables and constraints.
int | getNumCoreConstraints () const
| Get variables and constraints.
int | getNumCoreVariables () const
| Get variables and constraints.
void | setConstraints (BcpsConstraint **con, int size)
| Set variables and constraints.
void | setNumCoreConstraints (int num)
| Set variables and constraints.
void | setVariables (BcpsVariable **var, int size)
| Set variables and constraints.
void | setNumCoreVariables (int num)
| Set variables and constraints.
## Protected Attributes
std::vector< BcpsConstraint * > | constraints_
| Constraints input by users (before preprocessing).
std::vector< BcpsVariable * > | variables_
| Variables input by users (before preprocessing).
int | numCoreConstraints_
| Number of core constraints.
int | numCoreVariables_
| Number of core variables.
CoinMessageHandler * | bcpsMessageHandler_
| Message handler.
CoinMessages | bcpsMessages_
| Bcps messages.

## Detailed Description

Definition at line 40 of file BcpsModel.h.

## Constructor & Destructor Documentation

BcpsModel::BcpsModel | ( |  | ) | `[inline]`

Definition at line 67 of file BcpsModel.h.

References bcpsMessageHandler_, bcpsMessages_, and CoinMessageHandler::setLogLevel().

virtual BcpsModel::~BcpsModel | ( |  | ) | `[inline, virtual]`

Definition at line 77 of file BcpsModel.h.

References bcpsMessageHandler_, constraints_, and variables_.

## Member Function Documentation

std::vector<BcpsConstraint *>& BcpsModel::getConstraints | ( |  | ) | `[inline]`

Get variables and constraints.

Definition at line 92 of file BcpsModel.h.

References constraints_.

std::vector<BcpsVariable *>& BcpsModel::getVariables | ( |  | ) | `[inline]`

Get variables and constraints.

Definition at line 93 of file BcpsModel.h.

References variables_.

int BcpsModel::getNumCoreConstraints | ( |  | ) | const`[inline]`

Get variables and constraints.

Definition at line 95 of file BcpsModel.h.

References numCoreConstraints_.

int BcpsModel::getNumCoreVariables | ( |  | ) | const`[inline]`

Get variables and constraints.

Definition at line 96 of file BcpsModel.h.

References numCoreVariables_.

void BcpsModel::setConstraints | ( | BcpsConstraint ** | con,
|  | int | size |
| ) |  |  | `[inline]`

Set variables and constraints.

Definition at line 101 of file BcpsModel.h.

References constraints_.

void BcpsModel::setNumCoreConstraints | ( | int | num | ) | `[inline]`

Set variables and constraints.

Definition at line 106 of file BcpsModel.h.

References numCoreConstraints_.

void BcpsModel::setVariables | ( | BcpsVariable ** | var,
|  | int | size |
| ) |  |  | `[inline]`

Set variables and constraints.

Definition at line 108 of file BcpsModel.h.

References variables_.

void BcpsModel::setNumCoreVariables | ( | int | num | ) | `[inline]`

Set variables and constraints.

Definition at line 113 of file BcpsModel.h.

References numCoreVariables_.

CoinMessageHandler* BcpsModel::bcpsMessageHandler | ( |  | ) | const`[inline]`

Get the message handler.

Definition at line 117 of file BcpsModel.h.

References bcpsMessageHandler_.

CoinMessages BcpsModel::bcpsMessages | ( |  | ) | `[inline]`

Return messages.

Definition at line 121 of file BcpsModel.h.

References bcpsMessages_.

AlpsReturnStatus BcpsModel::encodeBcps | ( | AlpsEncoded * | encoded | ) | const

Pack Bcps portion of model into an encoded object.

AlpsReturnStatus BcpsModel::decodeBcps | ( | AlpsEncoded & | encoded | ) |

Unpack Bcps portion of model from an encoded object.

## Member Data Documentation

std::vector<BcpsConstraint *> BcpsModel::constraints_`[protected]`

Constraints input by users (before preprocessing).

Definition at line 45 of file BcpsModel.h.

Referenced by getConstraints(), setConstraints(), and ~BcpsModel().

std::vector<BcpsVariable *> BcpsModel::variables_`[protected]`

Variables input by users (before preprocessing).

Definition at line 48 of file BcpsModel.h.

Referenced by getVariables(), setVariables(), and ~BcpsModel().

int BcpsModel::numCoreConstraints_`[protected]`

Number of core constraints.

By default, all input constraints are core.

Definition at line 54 of file BcpsModel.h.

Referenced by getNumCoreConstraints(), and setNumCoreConstraints().

int BcpsModel::numCoreVariables_`[protected]`

Number of core variables.

By default, all input variables are core.

Definition at line 57 of file BcpsModel.h.

Referenced by getNumCoreVariables(), and setNumCoreVariables().

CoinMessageHandler* BcpsModel::bcpsMessageHandler_`[protected]`

Message handler.

Definition at line 60 of file BcpsModel.h.

Referenced by bcpsMessageHandler(), BcpsModel(), and ~BcpsModel().

CoinMessages BcpsModel::bcpsMessages_`[protected]`

Bcps messages.

Definition at line 63 of file BcpsModel.h.

Referenced by bcpsMessages(), and BcpsModel().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/src/BcpsModel.h